#result-modal-content:has(#add-user-to-event-div) {
  padding: 1em;
}

/*======================
    User Login Card
======================*/

.user-card {
  grid-area: page-content;
  display: grid;
  grid-gap: 0px;
  grid-template-rows: auto auto auto 60px;
  grid-template-columns: auto 1fr;
  grid-template-areas:
    "header header"
    "login-splash login-form"
    "password-reset-text password-reset-text"
    "login-resp-text login-resp-text";
  padding: 5px;
  border: 1px solid;
  border-radius: 10px;
  box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.45);
  background-color: rgb(255, 255, 255, 0.9);
}

.card-header {
  grid-area: header;
  padding: 0;
}

.splash-svg img {
  grid-area: login-splash;
  max-width: 6em;
}

.login-form-container {
  grid-area: login-form;
  background-color: transparent;
  padding-right: 0px;
}

#uname {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.uname-form-group {
  margin-bottom: 20px !important;
}

.pword-input-group {
  display: flex;
  flex-direction: row;
  max-width: 15em;
}

#pword {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.password-reset-text {
  grid-area: password-reset-text;
  color: black;
  text-align: center;
}

.login-error-msg {
  grid-area: login-resp-text;
  list-style-type: none;
  color: black;
  line-height: 20px;
  padding: 1px;
  max-width: 335px;
  max-height: 60px;
  overflow-y: auto;
}

/*======================
  Start of Event Card Row
======================*/

.event-card-row {
  display: grid;
  max-width: 100%;
  grid-template-columns: repeat(4, 1fr);
  margin: 0 auto;
  max-height: 83vh;
  grid-gap: 1rem;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: end;
  padding: 2.5em;
  overflow: auto;
}

.event-card {
  display: grid;
  box-shadow: 0 14px 18px 0 rgba(0, 0, 0, 0.2);
  transition: 0.3s;
  border-style: solid;
  border-width: thin;
  border-radius: 5px;
  border-color: black;
  padding: 0em;
  max-width: 3em;
  min-width: 22em;
  height: 11em;
  grid-template-rows: 2em 7em 2em;
  grid-template-areas:
    "hdr"
    "cntnt"
    "ftr";
  justify-items: stretch;
}

.event-card-header {
  grid-area: hdr;
  text-align: center;
  font-weight: bold;
  margin: 0px;
  padding: 0px;
}

.event-content {
  display: grid;
  grid-area: cntnt;
  margin: 0em 1em;
  padding: 0;
  font-size: 0.9em;
  grid-template-columns: 4fr 12fr;
  grid-template-areas:
    "image txt"
    "image eff-dates";
}

.thumbnail img {
  grid-area: image;
  margin: 1em 0em;
  max-width: 6em;
  position: absolute;
}

.event-text-content {
  display: grid;
  grid-area: txt;
  margin: 3px 0px;
  font-size: 1em;
  vertical-align: text-top;
  grid-template-rows: auto auto auto auto;
  grid-template-areas:
    "description-0"
    "description-1"
    "description-2"
    "eff-dates";
}

.event-description-0 {
  grid-area: description-0;
  text-align: right;
}

.event-description-1 {
  grid-area: description-1;
  text-align: right;
}
.event-description-2 {
  grid-area: description-2;
  text-align: right;
}

.event-card-eff-dates {
  grid-area: eff-dates;
  text-align: right;
}

.event-card-footer {
  text-align: center;
  font-weight: bold;
  margin: 0px;
  padding: 0px;
  grid-area: ftr;
}

/*======================
  End of Item Card
======================*/

form {
  background-color: transparent;
}

.thumbnail img {
  grid-area: image;
  margin: 1em 0em;
  max-width: 6em;
  position: absolute;
}

.form-card {
  padding: 5px;
  border: 1px solid;
  border-radius: 10px;
  box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.45);
  background-color: rgb(255, 255, 255, 0.9);
}

.nav-alert {
  position: relative;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

/*======================
   Reset Password Modal
========================*/

#pwd-modal {
  max-width: 100%;
}

#pwd-modal-content {
  border-radius: 10px;
}

#pwd-modal-content > .modal-header {
  display: grid;
  padding: 0px;
  cursor: move;
  color: rgb(54, 105, 131);
  align-items: center;
  justify-content: center;
}

.btn-group {
  margin: 0px 5px;
  padding: 0px;
}

#pwd-modal-errors {
  list-style: none;
  margin: 5px;
  padding: 0px;
  min-height: 1em;
  text-align: left;
}

#btn-close-modal {
  border-radius: 5px;
  border-style: solid;
  border-color: black;
  border-width: thin;
}

@media screen and (max-width: 1500px) {
  .event-card-row {
    grid-template-columns: repeat(3, 1fr);
    align-items: start;
    max-height: 75vh;
    overflow: auto;
  }
}

@media screen and (max-width: 1200px) {
  .event-card-row {
    grid-template-columns: repeat(2, 1fr);
    align-items: start;
    max-height: 75vh;
    overflow: auto;
  }
}

@media screen and (max-width: 800px) {
  .container {
    grid-area: page-content;
    width: max-content;
  }

  .event-card-row {
    grid-template-columns: repeat(1, 1fr);
    align-items: start;
    max-height: 75vh;
    overflow: auto;
    padding: 0;
  }

  .user-card {
    grid-area: page-content;
    display: grid;
  }
}

@media screen and (max-width: 750px) {
  .container {
    grid-area: page-content;
    width: max-content;
  }
}

@media screen and (max-width: 600px) {
  .container {
    grid-area: page-content;
    width: max-content;
  }

  .event-card-row {
    grid-template-columns: repeat(1, 1fr);
    overflow-y: auto;
    scrollbar-width: none !important;
  }

  .user-card {
    grid-area: page-content;
    display: grid;
  }

  /* .responsive-table {
    border: 0;
  }

  .responsive-table caption {
    font-size: 1.3em;
  }

  .responsive-table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }

  .responsive-table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: 0.625em;
  }

  .responsive-table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: 0.8em;
    text-align: right;
  }

  .responsive-table td::before {
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }

  .responsive-table td:last-child {
    border-bottom: 0;
  }*/
}

@media screen and (max-width: 420px) {
  .container {
    grid-area: page-content;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
  }

  .user-card {
    grid-area: content;
    display: grid;
  }

  .splash-svg img {
    grid-area: login-splash;
    max-width: 6em;
  }

  .login-form-container {
    grid-area: login-form;
    background-color: transparent;
    padding-right: 0px;
  }

  .error-response {
    font-size: 1.5ch;
  }
}

#pword {
  margin: 0;
  border-radius: 0;
}

.password-reset-text {
  grid-area: password-reset-text;
  color: black;
}

.event-card-header {
  padding: 0;
}
